%global pypi_name contextvars

Name:           python-%{pypi_name}
Version:        2.4
Release:        1%{?dist}
Summary:        PEP 567 Backport

License:        Apache License, Version 2.0
URL:            http://github.com/MagicStack/contextvars
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
 PEP 567 Backport This package implements a backport of Python 3.7 contextvars
module (see PEP 567) for Python 3.6.**Important:** at this moment this package
does not provide an asyncio event loop with PEP 567 support yet. Stay tuned for
updates. Original "contextvars" Package This package replaces the old
"contextvars" PyPI package which repository is available here < Documentation
Read the...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
BuildRequires:  python3-immutables >= 0.9

Requires:       python3-immutables >= 0.9
%description -n python3-%{pypi_name}
 PEP 567 Backport This package implements a backport of Python 3.7 contextvars
module (see PEP 567) for Python 3.6.**Important:** at this moment this package
does not provide an asyncio event loop with PEP 567 support yet. Stay tuned for
updates. Original "contextvars" Package This package replaces the old
"contextvars" PyPI package which repository is available here < Documentation
Read the...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Nov 06 2020 ykarel <ykarel@redhat.com> - 2.4-1
- Initial version
